import { baseFetch, ResponseDataEntity } from '.';

type Params = {
  customerId: number;
  equipmentNum: string;
  serviceId: number;
};
type DeviceInfoResponse = {
  code: string;
  // 设备编码

  isCurrentUserUsed: number;
  // 是否当前人使用 1：是，0：否

  isOnline: number;
  // 是否上线 1：是，0：否

  isUsed: number;
  // 是否被使用 1：是，0：否

  operatorId: number;
  // 运营商Id

  operatorName: string;
  // 运营商名称

  position: string;
  // 位置名称

  positionId: string;
  // 位置id
  rates: RateInfoResponse[];
};
type RateInfoResponse = {
  mark: string;
  // 费率描述

  name: string;
  // 费率名称
};
type SmaproPrepayConfig = {
  createAt: string;
  // 创建时间

  id: number;
  // 会员id

  isOpen: number;
  // 是否开启

  operateId: number;
  // 运营商id

  operateName: string;
  // 运营商名称

  prepayMoney: number;
  // 预付金额

  serviceId: number;
  // 服务类型id

  serviceName: string;
  // 服务名称

  sortId: number;
  // 序号

  updateAt: string;
  // 更新时间
};
type ResponseData = {
  deviceInfoResponse: DeviceInfoResponse;
  prepayConfigs: SmaproPrepayConfig[];
};

export const getDeviceConfig = (
  entity: Params,
): Promise<ResponseDataEntity<ResponseData>> =>
  baseFetch({
    url: '/smapro/prepay/config/wxmini',
    method: 'POST',
    data: entity,
  });
