import Action from '../../types/Store/Actions';
import { Device } from '../../types/Device/Device';

export type DeviceState = StoreState<Device>;

export const INITIAL_STATE = {
  originCode: '',
  code: '',
  isCurrentUserUsed: 0,
  isOnline: 0,
  isUsed: 0,
  operatorId: 0,
  operatorName: '',
  position: '',
  positionId: '',
  rates: [],
  serviceId: 0,
  serviceName: '',
};

export const updateDeviceData = (entity: DeviceState): Action => ({
  type: 'UPDATE_DEVICE_DATA',
  payload: entity,
});
export const resetDeviceData = (): Action => ({
  type: 'UPDATE_DEVICE_DATA',
});

export default function device(
  state: Device = INITIAL_STATE,
  actions: Action,
): Device {
  switch (actions.type) {
    case 'UPDATE_DEVICE_DATA':
      return {
        ...state,
        ...actions.payload,
      };
    case 'UPDATE_DEVICE_DATA':
      return {
        ...INITIAL_STATE,
      };
    default:
      return state;
  }
}
