import Action from '../../types/Store/Actions';
import { Customer } from '../../types/Customer/Customer';

export type UserState = StoreState<Customer & { code: string }>;

export const INITIAL_STATE = {
  token: '',
  customerId: 0,
};

export const updateUserInfo = (entity: UserState): Action => ({
  type: 'UPDATE_USERINFO',
  payload: entity,
});

export default function userinfo(
  state: Customer = INITIAL_STATE,
  actions: Action,
): Customer {
  switch (actions.type) {
    case 'UPDATE_USERINFO':
      return {
        ...state,
        ...actions.payload,
      };
    default:
      return state;
  }
}
